Download Sandbox Content

  • GET
  • /workspaces
  • /:workspace_domain
  • /sandboxes
  • /:sandbox_id
  • /download
  • /:path

Download sandbox content as archive

Request

REQUIRED SCOPES
SANDBOX_READ
URL PARAMETERS
workspace_domainrequiredstring
The human-readable ID of the workspace

Example: "my-company"

sandbox_idrequiredstring
The ID of the sandbox

Example: "sb-1234567890abcdef"

pathrequiredstring
Absolute path to the file or directory to download

Constraints: Pattern: .*

Example: "buddy/src"

Response

RESPONSE BODY
requiredstring
File download

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace_domain/sandboxes/:sandbox_id/download/:path" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS
200 Content downloaded successfully